Bug 1352141 - Review Request: docker-latest - Automates deployment of containerized applications
Summary: Review Request: docker-latest - Automates deployment of containerized applica...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-01 18:52 UTC by Lokesh Mandvekar
Modified: 2017-05-06 06:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-06 06:25:36 UTC


Attachments (Terms of Use)

Description Lokesh Mandvekar 2016-07-01 18:52:26 UTC
Spec URL: https://lsm5.fedorapeople.org/docker-latest/docker-latest.spec
SRPM URL: Coming soon

Description: 
Docker is an open-source engine that automates the deployment of any
application as a lightweight, portable, self-sufficient container that will
run virtually anywhere.

Docker containers can encapsulate any payload, and will run consistently on
and between virtually any server. The same container that a developer builds
and tests on a laptop will run at scale, in production*, on VMs, bare-metal
servers, OpenStack clusters, public instances, or combinations of the above.

Fedora Account System Username: lsm5

Note: There are many users who would need multiple versions of docker (stable and the latest), like OpenShift, hence the package request

Comment 1 Lokesh Mandvekar 2016-07-01 18:54:48 UTC
rather, openshift usually works with older/stable versions of docker, and docker-latest would help us upgrade to the latest when there's a new upstream release.

Comment 2 Daniel Walsh 2016-07-02 13:47:35 UTC
Yes the basic idea which we have implemented in Centos and RHEL is to ship two versions of docker, the default one which can be used by OpenShift/K8s and one that has the latest supported bits.  We need both packages to be installable at the same time on atomic host.  OpenShift has blocked us from updating the version of docker in older releases of fedora for several months, because the update would break their use cases.


Note You need to log in before you can comment on or make changes to this bug.